/**
 * Class for breadcrumbs widget model
 *
 * @class Sb.model.BreadcrumbsWidget
 * @extends Sb.model.Widget
 */
Sb.model.BreadcrumbsWidget = Ext.extend(Sb.model.Widget, {

	/**
	 * @cfg {String} type
	 * defaults to <tt>breadcrumbs</tt>
	 */

	isShared: true,

	constructor: function(config) {
		config = Ext.apply({
			type: 'breadcrumbs'
		}, config);

		Sb.model.BreadcrumbsWidget.superclass.constructor.call(this, config);
	}
});
