/**
 * @class Sb.widgetType.Search
 * @extends Sb.widgetType.Shared
 */
Sb.widgetType.Search = Ext.extend(Sb.widgetType.Shared, {

	colorSchemeCssTemplateSource: [
		'.widget-search input.gsc-input',
			'{ border-color: {globalItemBorderColor} }',
		'#sb-search-results-container .gs-result .gs-visibleUrl',
			'{ color: {resultsUrlColor} }'
	],

	fontColorCssTemplateSource: [
		'#sb-search-results-container .gs-result .gs-title, #sb-search-results-container .gs-result .gs-title *',
			'{ color: {resultsHeaderLinkColor} }'
	],

	activeResultsClassName: 'sb-search-results-active'

});