/**
 * SiteBuilder Js-locales scripts
 *
 * @copyright (c) 2004-2006, SWsoft
 */
self._sbLocalesArray = new Array();

function SbAppendLocaleKey(key, value) {
	self._sbLocalesArray[key] = value;
}

function SbAppendLocaleKeys(values) {
	for (var key in values) {
		self._sbLocalesArray[key] = values[key];
	}
}

function SbGetLocaleByKey(key) {
	var result;
	if (self._sbLocalesArray[key]) {
		result = self._sbLocalesArray[key];
		if (arguments.length > 1) {
			arguments[0] = result;
			result = String.format.apply(String, arguments);
		}
	} else {
		result = '[' + key + ']';
	}
	return result;
}