/**
 * @class Sb.widgetType.Advertisement
 * @extends Sb.widgetType.Shared
 */
Sb.widgetType.Advertisement = Ext.extend(Sb.widgetType.Shared, {
	/**
	 * @param {Object} config The configuration options to create new instance of edit panel
	 */
	getEditPanel: function(config) {
		if (!Sb.widget.Advertisement.editPanel) {
			config = Ext.apply({widgetType: this}, config);
			Sb.widget.Advertisement.editPanel = new Sb.widget.ScriptEditPanel(config);
		}
		return Sb.widget.Advertisement.editPanel;
	}
});