/**
 * @class Sb.widgetType.Breadcrumbs
 * @extends Sb.widgetType.Shared
 */
Sb.widgetType.Breadcrumbs = Ext.extend(Sb.widgetType.Shared, {

	cssTemplateSource: [
		'{className} a, {className} span {',
			'<tpl if="fontColor">color: {fontColor};</tpl>',
			'font-size: {fontSize}px;',
			'line-height: {lineHeight}px;',
			'<tpl if="fontFamily">font-family: "{fontFamily}";</tpl>',
		'}',
		'{className} .page {',
			'font-weight: {[values.decorationBold ? "bold" : "normal"]};',
			'font-style: {[values.decorationItalic ? "italic" : "normal"]};',
		'}',
		'{className} a.page {',
			'text-decoration: {[values.decorationUnderline ? "underline" : "none"]};',
		'}',
		'{className} a.icon, {className} a.icon-with-title {',
			'height: {lineHeight}px;',
			'font-size: {fontSize}px;',
		'}'
	],

	colorSchemeCssTemplateSource: [
		'{className} a, {className} span {color: {linkColor};}'
	]
});