<?php
/**
 * Class for sending an email.
 * 
 * @author Alexey Sinko <asinko@swsoft.com>
 * @since 2010/10/16
 * @package SB
 * @subpackage Mail
 * @copyright (c) 2004-2010, Parallels
 */

class SB_Mail {

	/**
	 * Mail character set
	 * @var string
	 */
	protected $_charset = null;

	/**
	 * Mail headers
	 * @var array
	 */
	protected $_headers = array();

	/**
	 * Content type of the message
	 * @var string
	 */
	protected $_type = null;

	/**
	 * Public constructor
	 *
	 * @param string $charset
	 */
	public function __construct($charset = 'utf-8') {
		$this->_charset = $charset;
	}

	/**
	 * Sends this email using the internal mail function.
	 *
	 * @return SB_Mail Provides fluent interface
	 */
	public function send($transport = null) {
/*
		\$headers = array(
			'MIME-Version'	=> '1.0',
			'Content-Type'	=> 'text/plain; charset=UTF-8;',
			'X-Mailer'		=> '$product',
		);
		if (isset(\$_POST['mail'])) {
			if (isset(\$_POST['name'])) {
				\$headers['From'] = '"' . \$_POST['name'] . '" <' . \$_POST['mail'] . '>';
			} else {
				\$headers['From'] = \$_POST['mail'];
			}
		}
		mail(
			'$recipients',
			\$_POST['subject'],
			str_replace("\\r", '', \$_POST['message']),
			join("\\n", \$headers)
	    );
*/
		return $this;
	}
}
