<?php
require_once('../../includes/init.php');

$req = new Zend_Controller_Request_Http();
$uuid = $req->uuid;

$config = new Zend_Config(require '../../data/' . $uuid . '.php');

$body = $req->getParam('message', '');
foreach ($config->fields as $field) {
	if (in_array($field->name, array('message'))) {
		continue;
	}
	$body .= "\n{$field->title}: " . $req->getParam($field->name, '');
}

$mail = new Zend_Mail('utf-8');
$mail->addHeader('X-Mailer', 'Parallels Panel SiteBuilder');
$mail->setBodyText($body);
if ($req->mail) {
	$mail->setFrom($req->mail, $req->name);
}
$mail->addTo($config->recipients);
$mail->setSubject($config->subject);
$mail->send();

print $config->reply;
